#!/bin/sh
file=$1
data=$file.minimize.dat

output=miaou
rm -rf $output
mkdir $output

echo "# minimize with raytracing and OpenMP" > $data
echo "# nthreads usertime(s) walltime(s)" >> $data

for threads in `seq 1 14`;
do
  echo $threads THREADS
  OMP_NUM_THREADS=$threads
  export OMP_NUM_THREADS
  /usr/bin/time --append --output $data --format "$threads %U %e" ../exec/minimize $file.poly $output
done
